<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.jushuitan.mapper.jst.JstOrderDetailMapper">
    <select id="getList" resultType="com.fjhx.jushuitan.entity.jst.vo.JstOrderDetailVo">
        select
            jod.id,
            jod.order_id,
            jod.iid,
            jod.referrer_id,
            jod.remark,
            jod.pic,
            jod.item_ext_data,
            jod.shop_i_id,
            jod.discount_rate,
            jod.src_combine_sku_id,
            jod.price,
            jod.base_price,
            jod.oid,
            jod.seller_income_amount,
            jod.outer_oi_id,
            jod.buyer_paid_amount,
            jod.is_presale,
            jod.amount,
            jod.send_warehouse,
            jod.item_pay_amount,
            jod.refund_status,
            jod.sku_type,
            jod.refund_qty,
            jod.sku_id,
            jod.item_status,
            jod.oi_id,
            jod.refund_id,
            jod.shop_sku_id,
            jod.raw_so_id,
            jod.properties_value,
            jod.is_gift,
            jod.qty,
            jod.name
        from jst_order_detail jod
            ${ew.customSqlSegment}
    </select>

    <select id="getPage" resultType="com.fjhx.jushuitan.entity.jst.vo.JstOrderDetailVo">
        select
            jod.id,
            jod.order_id,
            jod.iid,
            jod.referrer_id,
            jod.remark,
            jod.pic,
            jod.item_ext_data,
            jod.shop_i_id,
            jod.discount_rate,
            jod.src_combine_sku_id,
            jod.price,
            jod.base_price,
            jod.oid,
            jod.seller_income_amount,
            jod.outer_oi_id,
            jod.buyer_paid_amount,
            jod.is_presale,
            jod.amount,
            jod.send_warehouse,
            jod.item_pay_amount,
            jod.refund_status,
            jod.sku_type,
            jod.refund_qty,
            jod.sku_id,
            jod.item_status,
            jod.oi_id,
            jod.refund_id,
            jod.shop_sku_id,
            jod.raw_so_id,
            jod.properties_value,
            jod.is_gift,
            jod.qty,
            jod.name
        from jst_order_detail jod
            ${ew.customSqlSegment}
    </select>

</mapper>
